package com.tuoheng.admin.enums.code.dept;

/**
 *  修改部门信息返回码
 *      模块代码：20（部门管理）
 *      接口代码：04 （修改部门）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-20
 */
public enum EditDeptCodeEnum {

    EDIT_DEPT_IS_FAILED(1200400, "修改部门失败"),
    DEPT_PID_IS_NULL(1200401, "请选择上级部门"),
    DEPT_ID_IS_NOT_NULL(1200402, "部门ID为空"),
    DEPT_NAME_IS_NOT_NULL(1200403, "部门名为空"),
    DEPT_ID_IS_NOT_SAME(1200404, "修改部门ID与原部门ID不一致"),
    DEPT_PID_IS_NOT_SAME(1200405, "修改部门PID与原部门PID不一致"),
    DEPT_IS_NOT_EXIST(1200406, "部门不存在"),
    PARENT_DEPT_IS_NOT_EXIST(1200407, "上级部门不存在"),
    DEPT_NAME_IS_ALREADY_EXIST(1200308, "该部门下已存该部门名称"),
    ROAD_IS_NULL(1200409, "航道信息为空"),
    SECTION_IS_NULL(1200410, "航段信息为空");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    EditDeptCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
